Bug 1415680 - Satellite 6 puppet module documentation does not describe the usage and steps to import the puppet variables into Satellite
Summary: Satellite 6 puppet module documentation does not describe the usage and steps...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Puppet Guide
Version: 6.2.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Lucie Jirakova
URL:
Whiteboard:
Depends On: 1353968 1381781
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 12:23 UTC by Mihir Lele
Modified: 2020-06-11 13:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1381781
Environment:
Last Closed: 2017-04-24 08:02:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Using the Smart Variable Tool (48.87 KB, application/pdf)
2017-04-10 15:44 UTC, Stephen Wadeley
no flags Details

Description Mihir Lele 2017-01-23 12:23:03 UTC
Document URL: 

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/puppet-guide

Describe the issue:

The puppet guide does not talk about the usage of Puppet variables and steps to import/add them into the Satellite 6.2. I had couple of cases so far in which the customers were confused between the usage of smart variables and smart class parameters


Additional information: NA

Comment 1 Andrew Dahms 2017-02-03 04:18:40 UTC
Assigning to Stephen for review.

Comment 20 Stephen Wadeley 2017-04-10 15:44:31 UTC
Created attachment 1270525 [details]
Using the Smart Variable Tool

Hello Mihir

The attached PDF contains the new, for this bug, section "Using the Smart Variable Tool". It appears after the recently updated section, already published[1], "Configuring Smart Class Parameters from Puppet Classes". I included both section in the PDF for ease of review. Please ask the customer if things are now much clearer and if any further changes are required.

[1] We did that part in Bug 1381781
	


Thank you


Note You need to log in before you can comment on or make changes to this bug.